<?

$client = Cubix_Api_XmlRpc_Client::getInstance();
$current_user = Model_Users::getCurrent();

$this->filtered_phone = $filtered_phone = (isset($this->agency->phone_country_id)) ? '+' . Model_Countries::getPhonePrefixById($this->agency->phone_country_id) . ltrim($this->agency->phone, '0') : ltrim($this->agency->phone, '0');
$phone_instr = array(
    '1' => 'sms_and_call',
    '2' => 'sms_only',
    '3' => 'no_sms'
);
$filtered_phone1 = (isset($this->agency->phone_country_id_1) ? '+'.Model_Countries::getPhonePrefixById($this->agency->phone_countru_id_1).ltrim($this->agency->phone_1, '0'): ltrim($this->agency->phone_1, '0'));
$filtered_phone2 = (isset($this->agency->phone_country_id_2) ? '+'.Model_Countries::getPhonePrefixById($this->agency->phone_countru_id_2).ltrim($this->agency->phone_2, '0'): ltrim($this->agency->phone_2, '0'));

?>

    <div class="list-contacts d-flex justify-content-between desktop">
        <?= $this->render('agencies/profile/working_times.phtml')?>
        <div class="buttons-container">
            <div>
            <? if ($filtered_phone && (strlen($filtered_phone) > 4)): ?>
                <div class="phone"><?= $filtered_phone ?></div>
            <? endif; ?>
            <? if ($this->agency->phone_instr): ?>
                <div class="under-phone"><?= $this->t($phone_instr[$this->agency->phone_instr]) ?></div>
            <? endif; ?>
                <? if ($this->agency->viber || $this->agency->whatsapp): ?>
                    <div class="under-phone">
                        <span><?= __('apps') ?>:</span>
                        <span>
                            <? if ($this->agency->whatsapp): ?>
                                <b class="whatsapp" style="color:#2eb33d">WhatsApp</b>
                            <? endif; ?>

                            <? if ($this->agency->viber && $this->agency->whatsapp): ?>
                                <span class="m-1"></span> <? endif; ?>

                            <? if ($this->agency->viber): ?>
                                <b class="viber" style="color: #655cac">Viber</b>
                            <? endif; ?>

                            <div class="clear"></div>
                        </span>
                    </div>
                <? endif; ?>
            <? if ($this->agency->phone_instructions): ?>
                <div class="under-phone"><?= $this->agency->phone_instructions ?></div>
            <? endif; ?>
            </div>
            <div>
                <? if ($filtered_phone1 && (strlen($filtered_phone1) > 4)): ?>
                    <div class="phone"><?= $filtered_phone1 ?></div>
                <? endif; ?>
                <? if ($this->agency->phone_instr_1): ?>
                    <div class="under-phone"><?= $this->t($phone_instr[$this->agency->phone_instr_1]) ?></div>
                <? endif; ?>
                <? if ($this->agency->phone_instructions_1): ?>
                    <div class="under-phone"><?= $this->agency->phone_instructions_1 ?></div>
                <? endif; ?>
            </div>
            <div>
                <? if ($filtered_phone2 && (strlen($filtered_phone2) > 4)): ?>
                    <div class="phone"><?= $filtered_phone2 ?></div>
                <? endif; ?>
                <? if ($this->agency->phone_instr_2): ?>
                    <div class="under-phone"><?= $this->t($phone_instr[$this->agency->phone_instr_2]) ?></div>
                <? endif; ?>
                <? if ($this->agency->phone_instructions_2): ?>
                    <div class="under-phone"><?= $this->agency->phone_instructions_2 ?></div>
                <? endif; ?>
            </div>
        </div>
        <div class="buttons-container d-inline-block">
            <div class="d-inline-block align-items-center">
                <div class="btn btn-small btn-blue send-message">Message</div>
            </div>
            <div class="buttons-container d-inline-block">
                <div class="d-flex align-items-center">
                    <? if( $this->is_followed ) :?>
                        <div data-newletter-popup="off" class="unfollow-me-button btn btn-small btn-brown follow"><?= __('unfollow')?></div>
                    <? else: ?>
                        <div data-newletter-popup="off" class="follow-me-button btn btn-small btn-brown follow"><?= __('follow')?></div>
                    <? endif; ?>
                    <? if($this->followers_count): ?>
                        <div class="followers-number-container d-flex justify-content-center align-items-center"><?= $this->followers_count ?></div>
                    <? endif; ?>
                </div>
            </div>
        </div>
    </div>


<!--                        --><?// $PmIsBlockedBy = $client->call('Users.getPmIsBlockedByUserId', array($this->agency->user_id)); ?>
<!--                        --><?// if ($current_user && !$current_user->pm_is_blocked && !$PmIsBlockedBy) : ?>
<!--                            <tr>-->
<!--                                <th>--><?//= $this->t('write_pm') ?><!--:</th>-->
<!--                                <td>-->
<!--                                    <a class="pink pm" href="#">--><?//= __('send_pm') ?><!-- &raquo;</a>-->
<!--                                </td>-->
<!--                            </tr>-->
<!--                        --><?// endif; ?>
<?


?>